Compliance
List compliance products
List public compliance products and their currently active revisions.
Method
GET
Path
/v1/compliance-products
Required scope
compliance:readRequest
curl -X GET "https://api.endurancehq.app/v1/compliance-products" \
-H "Authorization: Bearer $EHQ_API_KEY"Response
Success status: 200
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"authority": {
"type": "string"
},
"jurisdictionCountry": {
"type": "string"
},
"jurisdictionRegion": {
"type": [
"string",
"null"
]
},
"productNumber": {
"type": "string"
},
"slug": {
"type": "string"
},
"title": {
"type": "string"
},
"aboutUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
},
"currentSourceUrl": {
"type": "string",
"format": "uri"
},
"draftSourceUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
},
"instructionsUrl": {
"anyOf": [
{
"type": "string",
"format": "uri"
},
{
"type": "null"
}
]
},
"capabilities": {
"type": "array",
"items": {
"type": "string",
"enum": [
"generate",
"collect",
"sign",
"submit",
"evaluate"
]
}
},
"supportedEntityTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"submissionMethod": {
"type": [
"string",
"null"
]
},
"status": {
"type": "string",
"enum": [
"active",
"retired"
]
},
"activeRevision": {
"anyOf": [
{
"type": "object",
"properties": {
"revisionLabel": {
"type": "string"
},
"sourceArtifactHash": {
"type": "string",
"pattern": "^[a-f0-9]{64}$"
},
"fieldSchemaHash": {
"anyOf": [
{
"type": "string",
"pattern": "^[a-f0-9]{64}$"
},
{
"type": "null"
}
]
},
"activatedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"revisionLabel",
"sourceArtifactHash",
"fieldSchemaHash",
"activatedAt"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"updatedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
}
},
"required": [
"authority",
"jurisdictionCountry",
"jurisdictionRegion",
"productNumber",
"slug",
"title",
"aboutUrl",
"currentSourceUrl",
"draftSourceUrl",
"instructionsUrl",
"capabilities",
"supportedEntityTypes",
"submissionMethod",
"status",
"activeRevision",
"updatedAt"
],
"additionalProperties": false
}
}
},
"required": [
"data"
],
"additionalProperties": false
}Other surfaces
CLI: ehq compliance products list
MCP tool: ehq_compliance_products_list